package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.biz.dal.dao.ImGroupNoticeDao;
import com.yonge.cooleshow.biz.dal.dto.ImGroupNoticeDto;
import com.yonge.cooleshow.biz.dal.entity.ImGroupNotice;
import com.yonge.toolset.mybatis.page.PageInfo;

import java.util.Map;

/**
 * 群公告(ImGroupNotice)表服务接口
 *
 * @author zx
 * @since 2022-03-22 10:45:59
 */
public interface ImGroupNoticeService extends IService<ImGroupNotice> {

    ImGroupNoticeDao getDao();

    /**
    * @description: 新增群公告
     * @param imGroupNotice
    * @return java.lang.Boolean
    * @author zx
    * @date 2022/3/24 10:57
    */
    void create(ImGroupNotice imGroupNotice);

    void modify(ImGroupNotice imGroupNotice);

    void del(Long noticeId);

    PageInfo<ImGroupNoticeDto> queryPage(Map<String,Object> params);
}

